Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class ContentHandlerFactoryRegistry

    java.lang.Object
      org.apache.fop.util.ContentHandlerFactoryRegistry

    public class ContentHandlerFactoryRegistry

extends java.lang.Object

This class holds references to various XML handlers used by FOP. It also supports automatic discovery of additional XML handlers available through the class path.

Constructor Summary
`ContentHandlerFactoryRegistry()` Default constructor.

Method Summary
`void` | `addContentHandlerFactory(ContentHandlerFactory factory)` Add an ContentHandlerFactory.
`void` | `addContentHandlerFactory(java.lang.String classname)` Add an XML handler.
`ContentHandlerFactory` | `getFactory(java.lang.String namespaceURI)` Retrieves a ContentHandlerFactory instance of a given namespace URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentHandlerFactoryRegistry

    public ContentHandlerFactoryRegistry()

  Default constructor.

Method Detail

### addContentHandlerFactory

    public void addContentHandlerFactory(java.lang.String classname)

  Add an XML handler. The handler itself is inspected to find out what it supports.

  Parameters:
    `classname` - the fully qualified class name

### addContentHandlerFactory

    public void addContentHandlerFactory(ContentHandlerFactory factory)

  Add an ContentHandlerFactory. The instance is inspected to find out what it supports.

  Parameters:
    `factory` - the ContentHandlerFactory instance

### getFactory

    public ContentHandlerFactory getFactory(java.lang.String namespaceURI)

  Retrieves a ContentHandlerFactory instance of a given namespace URI.

  Parameters:
    `namespaceURI` - the namespace to be handled.
  Returns:
    the ContentHandlerFactory or null, if no suitable instance is available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.